saferemnant.h File Reference

Implementation details for safe pointers. More...

`#include <boost/version.hpp>`
`#include <boost/smart_ptr/intrusive_ref_counter.hpp>`

## Classes

class | regina::detail::SafeRemnant< T >
| A helper class for SafePtr. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.
| regina::detail
| Contains implementation details and common functionality for Regina's dimension-agnostic classes.

## Detailed Description

Implementation details for safe pointers.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).